%define snapshot svn1436

Summary:	Fantasy MMORPG in a persistent world
Name:		planeshift
Version:	0.4.00
Release:	%mkrel -c %{snapshot} 5
License:	GPLv2+
Group:		Games/Adventure
URL:		http://www.planeshift.it/
# (tpg) since there are no any tarballs, do this
# svn co https://planeshift.svn.sourceforge.net/svnroot/planeshift/stable planeshift
Source0:	%{name}-%{version}-%{snapshot}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-fix-typedef.patch
Patch1:		%{name}-fix-format-errors.patch
Patch2:     %{name}-fix-m4-macro.patch
Patch3:     %{name}-update-jam-rules.patch
BuildRequires:	libtool
BuildRequires:	crystalspace-devel
BuildRequires:	cel-devel
BuildRequires:	ftjam
BuildRequires:	curl-devel
BuildRequires:	openssl-devel
BuildRequires:	cal3d-devel >= 0.10.1
BuildRequires:	perl-Template-Toolkit
BuildRequires:	python-devel
Requires:	cel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PlaneShift is a persistent fantasy multiplayer Role Playing Game
with state-of-the-art 3D graphics. Create your character and live
in an ever-changing world. Build with us a Team that will make
PlaneShift THE choice of MMORPG.

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
export CFLAGS="%{optflags} -I%{_includedir}/cel-1.2"
export CXXFLAGS=$CFLAGS

./autogen.sh

%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir} \
	--enable-cpu-specific-optimizations=no \
	--disable-separate-debug-info \
	--disable-celtest

jam -d2 %{_smp_mflags}

%install
%{__rm} -rf %{buildroot}
jam -d2 -sDESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/psclient
Icon=%{name}
Categories=Game;AdventureGame;
Name=Planeshift
Comment=%{Summary}
EOF

%{__install} -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{__install} -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{__install} -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%if %mdkversion < 200900
%post
%{update_menus}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%clean_icon_cache hicolor
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{_gamesbindir}/*
%{_libdir}/lib*.a
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Tue Oct 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.00-0.svn1436.5mdv2010.0
+ Revision: 454353
- fix build
- drop mysql support, detection is broken
- rebuild for latest mysql

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild early 2009.0 package (before pixel changes)

  + Rémy Clouard <shikamaru@mandriva.org>
    - fix string format errors - fix unneeded typedef

  + Samuel Verschelde <stormi@mandriva.org>
    - fix menu category (#49423)

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against mysql-5.1.30 libs

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 02 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.00-0.svn1436.1mdv2009.0
+ Revision: 200117
- fix file list
- new version
- new license policy
- install icons into fd.o compiliant directory
- fix file list
- spec file clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - auto convert menu to XDG
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Adam Williamson <awilliamson@mandriva.org>
    - Import planeshift



* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.007-1mdk
- new cvs snapshot
- add icons from rapsys

* Tue Feb 10 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.011-1mdk
- initial mdk release(finally, but more work to be done, stay tune)
